/* Shopper
 * Copyright (C) 2008 David Greaves
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef __CATEGORYVIEW_H__
#define __CATEGORYVIEW_H__

#include "shopperList.h"
#include "LabelEntry.h"
#include "ItemView.h"
#include <QHBoxLayout>
#include <QLabel>

using namespace std;
namespace Shopper
{
	class CategoryView: public QWidget
	{
		Q_OBJECT;
		
	public:
		CategoryView(Category &it, List &l, QWidget *parent);
		~CategoryView();
		virtual void setVisible(bool vis);

	public slots:
		void update();
		// data monitors
		void category_changed();
		void add_item(Item*);
		void del_item(Item*);

	private:
		void setup();
		void remove_items();
		
		struct Private;
		struct Private   *p;

	};
}

#endif /* __CATEGORYVIEW_H__ */
